Bug 228685 - [LFC][IFC] Add fallback font support
Summary: [LFC][IFC] Add fallback font support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-07-31 20:04 PDT by zalan
Modified: 2021-09-22 06:25 PDT (History)
12 users (show)

See Also:


Attachments
Patch (16.09 KB, patch)
2021-07-31 20:08 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (56.30 KB, patch)
2021-09-21 19:45 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2021-07-31 20:04:43 PDT
This is mostly about fingering out when to stretch the inline box with glyphs coming from fallback fonts.
Comment 1 zalan 2021-07-31 20:08:49 PDT
Created attachment 434712 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-08-07 20:05:16 PDT
<rdar://problem/81661514>
Comment 3 zalan 2021-09-21 19:45:02 PDT
Created attachment 438908 [details]
Patch
Comment 4 EWS 2021-09-22 06:25:55 PDT
Committed r282872 (242001@main): <https://commits.webkit.org/242001@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438908 [details].